net.sf.jasperreports.engine.export

## Class DefaultHyperlinkProducerFactory

- java.lang.Object
- - net.sf.jasperreports.engine.export.JRHyperlinkProducerFactory
  - - net.sf.jasperreports.engine.export.DefaultHyperlinkProducerFactory

-     public class DefaultHyperlinkProducerFactory
      extends JRHyperlinkProducerFactory

  Extension-based hyperlink producer factory implementation.

  Version:
    $Id: DefaultHyperlinkProducerFactory.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHyperlinkProducerFactory()` Deprecated. Replaced by `DefaultHyperlinkProducerFactory(JasperReportsContext)`.
    `DefaultHyperlinkProducerFactory(JasperReportsContext jasperReportsContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRHyperlinkProducer` | `getHandler(java.lang.String linkType)` Returns the hyperlink producer associated with a specific hyperlink type.

    - ### Methods inherited from class net.sf.jasperreports.engine.export.JRHyperlinkProducerFactory

      `produceHyperlink`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultHyperlinkProducerFactory

          public DefaultHyperlinkProducerFactory()

      Deprecated. Replaced by `DefaultHyperlinkProducerFactory(JasperReportsContext)`.

    - #### DefaultHyperlinkProducerFactory

          public DefaultHyperlinkProducerFactory(JasperReportsContext jasperReportsContext)

  - ### Method Detail

    - #### getHandler

          public JRHyperlinkProducer getHandler(java.lang.String linkType)

      Description copied from class: `JRHyperlinkProducerFactory`
      Returns the hyperlink producer associated with a specific hyperlink type.
      Specified by:
        `getHandler` in class `JRHyperlinkProducerFactory`
      Parameters:
        `linkType` - the hyperlink type
      Returns:
        an associated hyperlink producer, or `null` when none associated

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com